<?php
/**
 * 
 * @file mydata_edit.php
 * @copyright (c) 2005 - 2007 eifr.com
 * @license http://www.gnu.org/copyleft/gpl.html gnu/gpl
 * eifr is free software
 */

require_once('../../includes/inc_admin.php');
require_once('class_mydata.php');

$url = 'mod_mydata/mydata_edit.php';
// Common::checkAdminFileAuth($url);  //check file authority
$clComMydata = new ComMydata();

$act = '';
if (isset($_GET['act'])) $act = $_GET['act'];

switch ($act) {
    case 'save_user_pwd':
        $clComMydata -> editRecordsUserPwd();
        break;
    case 'save_user_all':
        $clComMydata -> editRecordsUserAll();
        break;
    case 'edit_user_all':
        $clComMydata -> layout_edit_user_all();
        break;

    case 'edit_user_pwd':
    default:
        $clComMydata -> layout_edit_user_pwd();
        break;
} 

?>